ExpressAdvanced Wallets

POST

Advanced Wallets - Sign and Send MPC Transaction

Sign and send a MPC transaction.

Retrieves the private key from KMS using the provided common keychain, then signs and broadcasts the transaction.

Use this endpoint only with advanced wallets. For other wallet types, use Sign MPC transaction.

Path Params

  • walletId string required
  • coin string required
  • txRequestId string required

Body Params

object

  • source string enum required
    The key to use for signing the transaction
    userbackup
  • commonKeychain string required
    Common keychain of the wallet during wallet creation

Responses

200
OK
No response body
400
Bad Request

Response Body

object

  • error string required
    The error name
  • details string required
    Error details
404
Not Found

Response Body

object

  • error string required
    The error name
  • details string required
    Error details
409
Conflict

Response Body

object

  • error string required
    The error name
  • details string required
    Error details
422
Unprocessable Entity

Response Body

object

  • error string required
    The error name
  • details string required
    Error details
500
Internal Server Error

Response Body

object

  • error string required
    The error name
  • details string required
    Error details
501
Not Implemented

Response Body

object

  • error string required
    The error name
  • details string required
    Error details